Create Podcast
Create and auto-convert a podcast project. Currently, the LLM cost is covered by us but you will still be charged for the audio generation. In the future, you will be charged for both the LLM and audio generation costs.
Headers
Request
The ID of the model to be used for this Studio project, you can query GET /v1/models to list all available models.
Output quality of the generated audio. Must be one of: โstandardโ - standard output format, 128kbps with 44.1kHz sample rate. โhighโ - high quality output format, 192kbps with 44.1kHz sample rate and major improvements on our side. โultraโ - ultra quality output format, 192kbps with 44.1kHz sample rate and highest improvements on our side. โultra_losslessโ - ultra quality output format, 705.6kbps with 44.1kHz sample rate and highest improvements on our side in a fully lossless format.
Duration of the generated podcast. Must be one of: short - produces podcasts shorter than 3 minutes. default - produces podcasts roughly between 3-7 minutes. long - produces podcasts longer than 7 minutes.
An optional language of the Studio project. Two-letter language code (ISO 639-1).
A url that will be called by our service when the Studio project is converted. Request will contain a json blob containing the status of the conversion Messages:
-
When project was converted successfully: { type: โproject_conversion_statusโ, event_timestamp: 1234567890, data: { request_id: โ1234567890โ, project_id: โ21m00Tcm4TlvDq8ikWAMโ, conversion_status: โsuccessโ, project_snapshot_id: โ22m00Tcm4TlvDq8ikMATโ, error_details: None, } }
-
When project conversion failed: { type: โproject_conversion_statusโ, event_timestamp: 1234567890, data: { request_id: โ1234567890โ, project_id: โ21m00Tcm4TlvDq8ikWAMโ, conversion_status: โerrorโ, project_snapshot_id: None, error_details: โError details if conversion failedโ } }
-
When chapter was converted successfully: { type: โchapter_conversion_statusโ, event_timestamp: 1234567890, data: { request_id: โ1234567890โ, project_id: โ21m00Tcm4TlvDq8ikWAMโ, chapter_id: โ22m00Tcm4TlvDq8ikMATโ, conversion_status: โsuccessโ, chapter_snapshot_id: โ23m00Tcm4TlvDq8ikMAVโ, error_details: None, } }
-
When chapter conversion failed: { type: โchapter_conversion_statusโ, event_timestamp: 1234567890, data: { request_id: โ1234567890โ, project_id: โ21m00Tcm4TlvDq8ikWAMโ, chapter_id: โ22m00Tcm4TlvDq8ikMATโ, conversion_status: โerrorโ, chapter_snapshot_id: None, error_details: โError details if conversion failedโ } }
This parameter controls text normalization with four modes: โautoโ, โonโ, โapply_englishโ and โoffโ. When set to โautoโ, the system will automatically decide whether to apply text normalization (e.g., spelling out numbers). With โonโ, text normalization will always be applied, while with โoffโ, it will be skipped. โapply_englishโ is the same as โonโ but will assume that text is in English.